org.apache.nutch.crawl

## Class Generator.SelectorReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>
  - - org.apache.nutch.crawl.Generator.SelectorReducer

- Enclosing class:
    Generator

      public static class Generator.SelectorReducer
      extends Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>

  Collect until limit is reached.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectorReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup(Reducer.Context context)`
    `void` | `close()`
    `void` | `open()`
    `void` | `reduce(FloatWritable key, Iterable<Generator.SelectorEntry> values, Reducer.Context context)`
    `void` | `setup(Reducer.Context context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectorReducer

          public SelectorReducer()

  - ### Method Detail

    - #### open

          public void open()

    - #### close

          public void close()

    - #### setup

          public void setup(Reducer.Context context)
                     throws IOException

      Overrides:
        `setup` in class `Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>`
      Throws:
        `IOException`

    - #### cleanup

          public void cleanup(Reducer.Context context)
                       throws IOException,
                              InterruptedException

      Overrides:
        `cleanup` in class `Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>`
      Throws:
        `IOException`
        `InterruptedException`

    - #### reduce

          public void reduce(FloatWritable key,
                             Iterable<Generator.SelectorEntry> values,
                             Reducer.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `reduce` in class `Reducer<FloatWritable,Generator.SelectorEntry,FloatWritable,Generator.SelectorEntry>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2020 The Apache Software Foundation